Bug 222252 - Japanese Translation in RHN
Japanese Translation in RHN
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Mike Orazi
Stephen Herr
https://rhn.redhat.com/rhn/systems/Ov...
US=15948
: Translation
Depends On:
Blocks: 450300
  Show dependency treegraph
 
Reported: 2007-01-10 22:19 EST by Kenji Nanamiya
Modified: 2008-09-25 09:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-25 09:03:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHN Satellite 5.1.0 screenshot with expected string of 'Update' (187.83 KB, image/png)
2007-11-05 22:10 EST, Noriko Mizumoto
no flags Details
Red Hat Network 5.0.3 with wrong translation fo 'Update' (229.91 KB, image/png)
2007-11-05 22:11 EST, Noriko Mizumoto
no flags Details

  None (edit)
Description Kenji Nanamiya 2007-01-10 22:19:07 EST
How Reproducible:

Steps to Reproduce:
1. make sure that the locale has been changed to Japanese
2. Go to https://rhn.redhat.com/rhn/systems/Overview.do and login as knanamiy
3. "Update" entitlement is translated to "更新" which has also meaning of
RENEWAL. Customer are confused between renewal and update.

Actual Results: 


Expected Results: Should not be translate Update into Japanese


Additional Information:
Comment 1 Kenji Nanamiya 2007-01-29 00:13:12 EST
Hello,
Could you pleae let me know the status of this issue?
Thanks,
Kenji
Comment 2 Chester Cheng 2007-04-27 10:34:22 EDT
Hi Jesus,

Do you know if we have any plan to update the RHN interface?

Cheers,
Chester
Comment 3 Kenji Nanamiya 2007-05-25 03:21:52 EDT
Chester and Jesus,
Could you update me the status of this ticket?
Thanks,
Kenji
Comment 4 Noriko Mizumoto 2007-07-24 01:42:46 EDT
(James and noriko have now been added in CC.)

Hi Jesus and RHN team

At Bug#237235, "Update" entitlment name has been corrected in RHN500 version. 
Kenji is looking at RHN501 version.

How do you think?
Comment 5 Noriko Mizumoto 2007-08-08 20:28:20 EDT
We need some update input from RHN team on this issue.
To fix this translation bug, translator needs appropriately updated files to
work as well appropriate demo environment for proofreading.

It can be similar issue with Bug#232586.

Could you kindly anyone incharge to give us an input to keep the ball rolling?

noriko
Comment 6 Noriko Mizumoto 2007-08-12 20:39:36 EDT
Fabien,

I assign this bug to you.
Please ping me (or us) when po files to be translated is ready, as well demo
environment for proofreading.

Thanks
noriko
Comment 7 Noriko Mizumoto 2007-08-27 00:29:10 EDT
Hi Fabien

I have completed 100% tranlsation update.
Please cordinate translation update with Mike and provide me a test environment
for proofreading.

Thanks.
Comment 8 Noriko Mizumoto 2007-11-05 02:21:08 EST
The provided demo environment with latest translatoin is RHN Satellite 510,
where 'Update' entitlement is not available. (https://rlx-3-20.rhndev.redhat.com/)
Thus it is unable to confirm if the corrected translation is reflected into Red
Hat Network.


(In reply to comment #0)
> How Reproducible:
> 
> Steps to Reproduce:
> 1. make sure that the locale has been changed to Japanese
> 2. Go to https://rhn.redhat.com/rhn/systems/Overview.do and login as knanamiy
> 3. "Update" entitlement is translated to "更新" which has also meaning of
> RENEWAL. Customer are confused between renewal and update.
> 
> Actual Results: 
> 
> 
> Expected Results: Should not be translate Update into Japanese
> 
> 
> Additional Information:

Comment 9 Noriko Mizumoto 2007-11-05 21:39:35 EST
RHN Satellite 5.1.0.
https://rlx-3-20.rhndev.redhat.com/rhn/systems/SystemEntitlements.do

Confirmed 'Update' string has been reverted back into English as the entitlement
name. This bug is resolved.

Thanks, Fabien!
Comment 10 Noriko Mizumoto 2007-11-05 22:10:08 EST
Created attachment 248761 [details]
RHN Satellite 5.1.0 screenshot with expected string of 'Update'

Ops, can't resolve.
Red Hat Network 5.0.3
https://rhn.redhat.com/rhn/systems/SystemEntitlements.do

Still displayed '更新' (Update) with wrong translation.
Two screenshots attahced for your information, one is from RHN Satellite 510
and another is Red Hat Network 5.0.3.
Comment 11 Noriko Mizumoto 2007-11-05 22:11:47 EST
Created attachment 248771 [details]
Red Hat Network 5.0.3 with wrong translation fo 'Update'

Here another screenshot
Comment 12 Noriko Mizumoto 2007-11-06 22:39:37 EST
The fact identified;
- Online RHN and Satellite have forked their code and no longer share the same
string files.
- Hosted team has a dev and a qa environment. They would just need to get the
translated strings from you, get them in their repo, build and deploy their code.
- Bret and Mike Orazi on the Hosted team. They should be able to point you to
the Hosted set of String files.

Fabien is now trying to get this file for Japanese translation.
The bug has been assigned to him.
Comment 13 Michael Hideo 2007-12-11 18:58:39 EST
Customer Facing:
================
Yes

BusJus
======
Revenue risk. APAC represents 19% of company revenue.

Recommendation:
==============
Marking as Urgent, even if we need to edit the database directly w/o using the
translation toolchain let's do so.
Comment 14 Noriko Mizumoto 2008-02-11 21:56:44 EST
Just for clarification, this bug is for RHN Hosted.

As at 12-Feb-2008, L10N team has not recieved any translatable file for RHN Hosted.
Comment 16 Mike Orazi 2008-06-30 17:25:49 EDT
These should be untranslated on systems/Overview.do +
systems/SystemEntitlements.do now (rev 118846)

Test plan:  navigate to the 2 pages mentioned above and change browser prefs to ja.
Comment 17 Stephen Herr 2008-07-02 17:06:08 EDT
verified in dev
Comment 18 Stephen Herr 2008-09-03 11:54:19 EDT
verified in qa

Note You need to log in before you can comment on or make changes to this bug.